module.exports = function mockSlot (name, options = {}) {
    const defaults = {
        name: (typeof name === 'string') ? name : 'Mock slot',
        okMessage: {
            text: 'Ok message from mockSlot'
        },
        errorMessage: {
            text: 'Error message from mockSlot'
        },
        missingValueMessage: {
            text: 'Missing message from mockSlot'
        },
        metadata: {},
        value: null
    }

    // overrides can be passed as first and second parameter
    const overrides = (typeof name === 'object') ? name : options

    return Object.assign({}, defaults, overrides)
}
