class TransactionResponseModel {
    constructor (data) {
        this.success = typeof data.success === 'boolean' ? data.success : true
        this.error = data.error || ''

        this.result = {

            message: {
                text: data.result.message.text || ''
            },
            resetSlotStatus: data.result.resetSlotStatus || [],
            metadata: data.result.metadata || ''
        }
    }
}

module.exports = TransactionResponseModel
