class ValidationResponseModel {
    constructor (data) {
        this.success = typeof data.success === 'boolean' ? data.success : true
        this.error = data.error || ''

        this.result = {

            quickReplies: data.result.quickReplies || [],
            message: {
                text: data.result.message.text
            },
            value: data.result.value,
            status: data.result.status,
            resetSlotStatus: data.result.resetSlotStatus || [],
            metadata: data.result.metadata || ''
        }
    }
}

module.exports = ValidationResponseModel
