const mockSlot = require('./mockSlot')

module.exports = function mockTransactionPayload (overrides = {}, values = {}) {
    const defaults = {
        dialogName: 'mocked-dialog',
        culture: 'nl',
        sessionId: '0104020c-1bff-478c-8e07-25d33687b8fb',
        okMessage: {
            text: 'OK message from mock transaction payload'
        },
        errorMessage: {
            text: 'Error message from mock transaction payload'
        },
        slots: [
            mockSlot({ name: 'Mock slot 1', value: 'one' }),
            mockSlot({ name: 'Mock slot 2', value: 'twue' })
        ]
    }

    return { ...defaults, ...overrides }
}
